Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ chapter01/changelog.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -44,4 +44,54 @@
     -->
     <listitem>
+      <itemizedlist>
+      <para>2021-02-01</para>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2433. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20210115. Addresses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-3.2.5. Fixes
+          <ulink url="&lfs-ticket-root;4797">#4797</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.46.0. Fixes
+          <ulink url="&lfs-ticket-root;4796">#4796</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to autoconf-2.71. Fixes
+          <ulink url="&lfs-ticket-root;4795">#4795</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2021a. Fixes
+          <ulink url="&lfs-ticket-root;4793">#4793</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to perl-5.32.1. Fixes
+          <ulink url="&lfs-ticket-root;4792">#4792</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.47. Fixes
+          <ulink url="&lfs-ticket-root;4791">#4791</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.7.5. Fixes
+          <ulink url="&lfs-ticket-root;4790">#4790</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.36. Fixes
+          <ulink url="&lfs-ticket-root;4789">#4789</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.10.12. Fixes
+          <ulink url="&lfs-ticket-root;4786">#4786</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2020-01-16</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ chapter01/whatsnew.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -73,7 +73,7 @@
       <para>Diffutils-&diffutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>E2fsprogs-&e2fsprogs-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
        <para>Eudev-&eudev-version;</para>
@@ -202,7 +202,7 @@
       <para>Patch-&patch-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Perl-&perl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Pkg-config-&pkgconfig-version;</para>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ chapter06/chapter06.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="grep.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gzip.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="patch.xml"/>
Index: chapter06/zlib.xml
===================================================================
--- chapter06/zlib.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
+++ chapter06/zlib.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -0,0 +1,66 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-tools-zlib" role="wrap">
+  <?dbhtml filename="zlib.html"?>
+
+  <sect1info condition="script">
+    <productname>zlib</productname>
+    <productnumber>&zlib-version;</productnumber>
+    <address>&zlib-url;</address>
+  </sect1info>
+
+  <title>Zlib-&zlib-version;</title>
+
+  <indexterm zone="ch-tools-zlib">
+    <primary sortas="a-Zlib">Zlib</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Zlib package contains compression and decompression routines used by
+    some programs.</para>
+
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
+
+      <seglistitem>
+        <seg>&zlib-fin-sbu;</seg>
+        <seg>&zlib-fin-du;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Zlib</title>
+
+    <para>Prepare Zlib for compilation:</para>
+
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput remap="install">make DESTDIR=$LFS install
+mv -v $LFS/usr/lib/libz.so.* $LFS/lib
+ln -sfv ../../lib/$(readlink $LFS/usr/lib/libz.so) $LFS/usr/lib/libz.so</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+     <title/>
+     <para>Details on this package are located in <xref linkend="contents-zlib" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: chapter08/bc.xml
===================================================================
--- chapter08/bc.xml	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ chapter08/bc.xml	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -41,4 +41,8 @@
   <sect2 role="installation">
     <title>Installation of Bc</title>
+
+    <para>First, fix an error in the configure script::</para>
+
+<screen><userinput remap="pre">sed -i '612d' configure.sh</userinput></screen>
 
     <para>Prepare Bc for compilation:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ general.ent	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20210116">
+<!ENTITY version         "SVN-20210201">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20210116-systemd">
+<!ENTITY versiond        "20210101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 16th, 2021">
+<!ENTITY releasedate     "February 1st, 2021">
 
 <!ENTITY copyrightdate   "1999-2021"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 87621f8e29c751399b333371665dd4a45fee9c37)
+++ packages.ent	(revision 0f8a1b64f88d42a6bca59caf8cce0362855b4743)
@@ -30,8 +30,8 @@
 <!ENTITY attr-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY autoconf-version "2.70">
-<!ENTITY autoconf-size "1,315 KB">
+<!ENTITY autoconf-version "2.71">
+<!ENTITY autoconf-size "1,263 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.xz">
-<!ENTITY autoconf-md5 "e4453011b18da194b565bf282948f997">
+<!ENTITY autoconf-md5 "12cfa1687ffa2606337efe1a64416106">
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-fin-du "79 MB">
@@ -58,16 +58,16 @@
 <!ENTITY bash-fin-sbu "2.4 SBU">
 
-<!ENTITY bc-version "3.2.4">
-<!ENTITY bc-size "221 KB">
+<!ENTITY bc-version "3.2.5">
+<!ENTITY bc-size "229 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "03d74ea465bb4181f683d1cd53d432e1">
+<!ENTITY bc-md5 "44cd2eb1ad793b6d95ea5fc7b9293cd4">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.5 MB">
 <!ENTITY bc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY binutils-version "2.35.1">
-<!ENTITY binutils-size "21,516 KB">
+<!ENTITY binutils-version "2.36">
+<!ENTITY binutils-size "22,227 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
-<!ENTITY binutils-md5 "7126f370ffbd46c08fcc5ce7aee2805d">
+<!ENTITY binutils-md5 "f6114b8c40096f9aa9f64fe1ab8ba087">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-tmpp1-du "617 MB">
@@ -78,8 +78,8 @@
 <!ENTITY binutils-fin-sbu "6.5 SBU">
 
-<!ENTITY bison-version "3.7.4">
-<!ENTITY bison-size "2,556 KB">
+<!ENTITY bison-version "3.7.5">
+<!ENTITY bison-size "2,561 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "bcd5f37396b061f2f00e5b1db58172ed">
+<!ENTITY bison-md5 "9b762dc24a6723f86d14d957d3deeb90">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-tmp-du "52 MB">
@@ -140,8 +140,8 @@
 <!ENTITY diffutils-fin-sbu "0.4 SBU">
 
-<!ENTITY e2fsprogs-version "1.45.6">
-<!ENTITY e2fsprogs-size "7,753 KB">
+<!ENTITY e2fsprogs-version "1.46.0">
+<!ENTITY e2fsprogs-size "9,260 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "cccfb706d162514e4f9dbfbc9e5d65ee">
+<!ENTITY e2fsprogs-md5 "8c8ff667537559be8d31da4b6128314a">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-fin-du "106 MB">
@@ -320,8 +320,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20201229">
+<!ENTITY iana-etc-version "20210115">
 <!ENTITY iana-etc-size "578 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "19f35177c0bd701f4e52bfc9ce068f5d">
+<!ENTITY iana-etc-md5 "da28c229070e790dee9eb234b34cec15">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -384,8 +384,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.46">
-<!ENTITY libcap-size "127 KB">
+<!ENTITY libcap-version "2.47">
+<!ENTITY libcap-size "129 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "58ffae7d6a3226d6648cdb5d6f389cbf">
+<!ENTITY libcap-md5 "44f4a73b0eb8aca004dc1a60cae8f674">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "11 MB">
@@ -418,10 +418,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "10">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "113,884 KB">
+<!ENTITY linux-size "113,583 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "cd6bbb5f0bc7cef3deab42d873bd0d2b">
+<!ENTITY linux-md5 "34c93a9e96f597872e3f2a86b87f33bf">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -535,10 +535,10 @@
 <!ENTITY perl-version-major "5">
 <!ENTITY perl-version-minor "32">
-<!ENTITY perl-version-patch "0">
+<!ENTITY perl-version-patch "1">
 <!ENTITY perl-version-min "&perl-version-major;.&perl-version-minor;">
 <!ENTITY perl-version "&perl-version-major;.&perl-version-minor;.&perl-version-patch;">
-<!ENTITY perl-size "12,420 KB">
+<!ENTITY perl-size "12,316 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "3812cd9a096a72cb27767c7e2e40441c">
+<!ENTITY perl-md5 "7f104064b906ad8c7329ca5e409a32d7">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "267 MB">
@@ -678,8 +678,8 @@
 <!ENTITY texinfo-fin-sbu "0.8 SBU">
 
-<!ENTITY tzdata-version "2020f">
+<!ENTITY tzdata-version "2021a">
 <!ENTITY tzdata-size "403 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "e7d618fe3fd16fdd290abc5e74cb264e">
+<!ENTITY tzdata-md5 "20eae7d1da671c6eac56339c8df85bbd">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -701,11 +701,11 @@
 <!ENTITY util-linux-fin-sbu "1.2 SBU">
 
-<!ENTITY vim-version "8.2.2253">
+<!ENTITY vim-version "8.2.2433">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,011 KB">
+<!ENTITY vim-size "15,051 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "497890e1f563a65c6f7594c0b0f5c0b9">
+<!ENTITY vim-md5 "a26555c8919cf40938d2428d834bf913">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "201 MB">
